groovy.util

## Class AllTestSuite

- java.lang.Object
- - junit.framework.TestSuite
  - - groovy.util.AllTestSuite

- All Implemented Interfaces:
    Test

      public class AllTestSuite
      extends TestSuite

  AllTestSuite can be used in extension of GroovyTestSuite to execute TestCases written in Groovy from inside a Java IDE. AllTestSuite collects all files below a given directory that comply to a given pattern. From these files, a TestSuite is constructed that can be run via an IDE graphical Test runner. The files are assumed to be Groovy source files and be either a TestCase or a Script that can be wrapped transparently into a TestCase. The directory and the pattern can be set via System properties (see this classes' constants for details.) When setting the loglevel of this class to FINEST, all file loading will be logged. See also groovy.util.AllTestSuiteTest.groovy
  Author:
    Dierk Koenig based on a prototype by Andrew Glover, Paul King todo: dk: make FileNameFinder injectable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SYSPROP_TEST_DIR` The System Property to set as base directory for collection of Test Cases.
    `static String` | `SYSPROP_TEST_EXCLUDES_PATTERN` The System Property to set as a filename excludes pattern for collection of Test Cases.
    `static String` | `SYSPROP_TEST_PATTERN` The System Property to set as the filename pattern for collection of Test Cases.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllTestSuite()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Class` | `compile(String fileName)`
    `protected void` | `loadTest(String fileName)`
    `static Test` | `suite()`
    `static Test` | `suite(String basedir, String pattern)`
    `static Test` | `suite(String basedir, String pattern, String excludesPattern)`

    - ### Methods inherited from class junit.framework.TestSuite

      `addTest, addTestSuite, countTestCases, createTest, getName, getTestConstructor, run, runTest, setName, testAt, testCount, tests, toString, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SYSPROP_TEST_DIR

          public static final String SYSPROP_TEST_DIR

      The System Property to set as base directory for collection of Test Cases. The pattern will be used as an Ant fileset include basedir. Key is "groovy.test.dir". Default value is "./test/".
      See Also:
        Constant Field Values

    - #### SYSPROP_TEST_PATTERN

          public static final String SYSPROP_TEST_PATTERN

      The System Property to set as the filename pattern for collection of Test Cases. The pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "groovy.test.pattern". Default value is "Test.groovy".
      See Also:
        Constant Field Values

    - #### SYSPROP_TEST_EXCLUDES_PATTERN

          public static final String SYSPROP_TEST_EXCLUDES_PATTERN

      The System Property to set as a filename excludes pattern for collection of Test Cases. When non-empty, the pattern will be used as Regular Expression pattern applied with the find operator against each candidate file.path. Key is "groovy.test.excludesPattern". Default value is "".
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AllTestSuite

          public AllTestSuite()

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### suite

          public static Test suite(String basedir,
                   String pattern)

    - #### suite

          public static Test suite(String basedir,
                   String pattern,
                   String excludesPattern)

    - #### loadTest

          protected void loadTest(String fileName)
                           throws CompilationFailedException,
                                  IOException

      Throws:
        `CompilationFailedException`
        `IOException`

    - #### compile

          protected Class compile(String fileName)
                           throws CompilationFailedException,
                                  IOException

      Throws:
        `CompilationFailedException`
        `IOException`